Il Forum è consultabile solo in modalità lettura. Per domande o consigli iscriviti al nostro GRUPPO FACEBOOK / COMMUNITY cliccando qui

[ROM] - HNR-FLYME - Marshmallow 6.0.1

Discussione in 'Modding Stonex One' iniziata da RAWMAIN, 29 Nov 2018.

Condividi questa Pagina

  1. RAWMAIN

    RAWMAIN Worker Droid

    Iscritto:
    23 Mar 2016
    Messaggi:
    156
    "Mi Piace":
    63
    ---------------------------------------------------------------------------------------------------------------------------------
    Disclaimer


    Questo pacchetto è destinato ad utenti esperti / consapevoli, ma chiunque può usarlo a proprio rischio.

    Le operazioni di flash / root del terminale & l'esecuzione dei relativi strumenti software vanno fatte con la dovuta attenzione = se non si seguono correttamente le istruzioni si rischia di compromettere il funzionamento del terminale anche in modo non recuperabile senza l'intervento dell'assistenza tecnica.


    Pertanto leggete con attenzione le istruzioni presenti nei link indicati per il download del pacchetto & seguitele puntualmente se decidete di procedere - sempre/comunque a vostro rischio.

    Qualora non le comprendiate, allora è opportuno che vi fermiate & cerchiate maggiori informazioni su Google / Forum / XDA / etc. e/o chiediate supporto.



    Tutti i programmi / software menzionati appartengono ai rispettivi detentori / sviluppatori. Nè il sottoscritto né il sito TuttoAndroid né detentori / sviluppatori dei software siano da considerarsi responsabili nel caso doveste danneggiare o comunque compromettere il funzionamento del vostro terminale.
    ---------------------------------------------------------------------------------------------------------------------------------

    Ciao

    Ho provveduto a caricare sulla MAIN REPO L861 (LINK) nella sottocartella \99_ROM_M_FLYMEOS_6_712x \ 01_HNR_COMPILED_PACKAGE (dedicata appunto alle ROM su base Flyme6) il pacchetto HNR-FLYME 6.7.12.29IR build 20181127.


    Si differenzia tecnicamente dai precedenti pacchetti Flyme 6.7.12.x poiché stavolta utilizza come base il codice degli ultimi pacchetti ROM HNR-CM13 a cui è stato integrato / abbinato il codice FlyME 6 di Meizu rilasciato per la compilazione su dispositivi terzi.

    Sono quindi presenti le varie ottimizzazioni ed aggiunte dei pacchetti HNR-CM13 a livello kernel e sorgenti, compresa la nuova gestione telefono / servizi LTE ed il supporto (parziale) VoLTE - a patto che sia consentito da proprio operatore + piano telefonico.


    Per chi eventualmente interessato, il codice sorgente e le istruzioni per la relativa compilazione sono disponibili - come di consuetudine - per consultazione e/o download su Github :

    - https://github.com/rawmain/AMOI-L861-HNR-FLYME



    ** Note **:
    --------------------------------------------------------

    .
    (1). Terminata la prima configurazione, è sufficiente procedere all'installazione & attivazione dei servizi Google.
    .
    Questa può essere fatta, installando l'APK di Google Apps Installer 4.4.6 fornito, previa abilitazione delle Fonti Sconosciute in Impostazioni \ Sicurezza.
    .
    Installandolo, verranno appunti aggiunti i Play Services ed il framework necessario per utilizzare account + servizi Google.
    .
    Saranno precaricate le applicazioni Play Store e Google Maps, consentendo di scaricare le altre (Gmail, Google Foto, Google Drive, etc.) direttamente a propria scelta tramite il Play Store.
    .
    L'ultima versione (4.5.2) di Google Apps Installer scaricabile dall'App Center Meizu NON installa correttamente il framework Google, comportando crash dei servizi Google Play, per cui se ne sconsiglia l'uso.
    .
    --------------------------------------------------------
    .
    (2). Per chi volesse abilitare i permessi di root, sono forniti i pacchetti di SuperSU 2.78 e 2.82, che sono quelli, che consentono di ottenerli senza problemi.
    .
    Sto ancora verificando alcuni sistemi per nascondere/disabilitare il root e contestualmente passare tutti i controlli SafetyNET, visto che i pacchetti iSU (forniti per le build *CM13) NON sono applicabili su questa ROM, seppur il codice riprenda parte delle ultime build HNR-CM13 per le componenti di sistema.
    .
    Già effettuate le verifiche con le ultime versioni di Magisk, ma con esito non positivo = a parte il fatto che MagiskHide non sia sufficiente a passare tutti i controlli (response/basic/CTS) SafetyNET con tale ROM, ho riscontrato blocchi sporadici nelle call MagiskSU quando alcune applicazioni richiedevano i permessi di root.
    .
    --------------------------------------------------------



    S81128-09432219.jpg . S81128-10270266.jpg . S81129-13473670.jpg . S81127-19053523.jpg